public class CircleTest {
	public static void main(String[] args) {

		CircleViewer view = new CircleViewer();
		Circle c1 = new Circle(500, 500, 30);
		Circle c2 = new Circle(200, 200, 100);

		// add the circles to the view, now both of them will be displayed
		view.addCircle(c1);
		view.addCircle(c2);
		view.update();
		for (int i = 0; i < 100; i++) {
			c1.translate(new Point(-1, -2));
			c1.scale(1.03);
			c2.translate(new Point(1, 1));
			view.update();

			// code for pausing 1/10 of a second
			try {
				Thread.sleep(100);
			} catch (InterruptedException e) {
			}
		}
	}
}